CGAL 6.0.2 - Weights

Loading...
Searching...
No Matches
Functions
Uniform Weight
Weight Interface Reference » Analytic Weights

##

`#include<CGAL/Weights/uniform_weights.h>`

This weight is always equal to 1.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2` for 2D points; a model of `AnalyticWeightTraits_3` for 3D points

## Functions
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::uniform_weight (const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &, const GeomTraits &)
| returns `1`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::uniform_weight (const CGAL::Point_2< GeomTraits > &p0, const CGAL::Point_2< GeomTraits > &p1, const CGAL::Point_2< GeomTraits > &p2, const CGAL::Point_2< GeomTraits > &q)
| returns `1`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::uniform_weight (const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &, const GeomTraits &)
| returns `1`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::uniform_weight (const CGAL::Point_3< GeomTraits > &p0, const CGAL::Point_3< GeomTraits > &p1, const CGAL::Point_3< GeomTraits > &p2, const CGAL::Point_3< GeomTraits > &q)
| returns `1`.

## Function Documentation

## ◆ uniform_weight() [1/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::uniform_weight | ( | const CGAL::Point_2< GeomTraits > & | p0,
|  | const CGAL::Point_2< GeomTraits > & | p1,
|  | const CGAL::Point_2< GeomTraits > & | p2,
|  | const CGAL::Point_2< GeomTraits > & | q
| ) |  |

`#include <CGAL/Weights/uniform_weights.h>`

returns `1`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ uniform_weight() [2/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::uniform_weight | ( | const CGAL::Point_3< GeomTraits > & | p0,
|  | const CGAL::Point_3< GeomTraits > & | p1,
|  | const CGAL::Point_3< GeomTraits > & | p2,
|  | const CGAL::Point_3< GeomTraits > & | q
| ) |  |

`#include <CGAL/Weights/uniform_weights.h>`

returns `1`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ uniform_weight() [3/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::uniform_weight | ( | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | ,
|  | const GeomTraits & |
| ) |  |

`#include <CGAL/Weights/uniform_weights.h>`

returns `1`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

## ◆ uniform_weight() [4/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::uniform_weight | ( | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | ,
|  | const GeomTraits & |
| ) |  |

`#include <CGAL/Weights/uniform_weights.h>`

returns `1`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`